Subject: Re: bug#54881: gnu: Add ncurses-5, ncurses/tinfo-5.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 09 May 2022 09:51:33 +0200

Hello,

> The ncurses package embeds the version string in various places, and even
> hard-codes the version-major 6 in a couple places, making it impractical to
> just create a transformation.
>
> Is this patch reasonable?

The make-ncurses-package procedure seems reasonable to be, as it will
also probably ease the upgrade of the package to future major revisions.

However, the introduction of ncurses-5 and ncurses/tinfo-5 has to match
a precise need for a package that is or will be part of Guix. Is that
the case?

Thanks,

Mathieu